package info.aspirecn.iov.yysj.paramtransfer;

import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.core.env.Environment;
import org.springframework.util.StopWatch;

@SpringBootApplication
@Slf4j
@MapperScan("info.aspirecn.iov.yysj.paramtransfer.dao")
@ComponentScan("info.aspirecn.iov.yysj.paramtransfer")
@EnableCaching
public class App 
{
    public static void main( String[] args )
    {
        StopWatch watch = new StopWatch();
        watch.start();
        ApplicationContext context = SpringApplication.run(App.class, args);
        Environment environment = context.getBean(Environment.class);
        String applicationName = environment.getProperty("spring.application.name");
        String infoName = environment.getProperty("info.name");
        String infoVersion = environment.getProperty("info.version");
        watch.stop();
        log.info("{} Ver.{} ({}) 启动完毕， times={}s", infoName, infoVersion,
                applicationName, watch.getTotalTimeSeconds());
    }
}