package info.aspirecn.iov.yysj.paramtransfer.action;

import info.aspirecn.iov.yysj.paramtransfer.entity.YyProduct;
import info.aspirecn.iov.yysj.paramtransfer.inter.YysjUserActionInterface;
import info.aspirecn.iov.yysj.paramtransfer.inter.vo.YysjUser;
import info.aspirecn.iov.yysj.paramtransfer.inter.vo.YysjProduct;
import info.aspirecn.iov.yysj.paramtransfer.service.YysjUserService;
import io.swagger.annotations.ApiOperation;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.io.UnsupportedEncodingException;
import java.util.List;
@RestController
@Data
@Slf4j
public class YysjUserAction implements YysjUserActionInterface {
    @Autowired
    private YysjUserService userService;




    @Override
    @ApiOperation(value="获取用户信息")
    public YysjUser getUser(@RequestParam("userId") String userId) {
        YysjUser yysjUser =  userService.getUser(userId);
        return yysjUser;
    }


    @Override
    @ApiOperation(value="getYysjProductIdByUserId")
    public  List<YysjProduct> getYysjProductIdByUserId(@RequestParam(name="userId") String userId,@RequestParam(name="type") int type){
        return userService.getYysjProductIdByUserId(userId,type);
    }

    @GetMapping(value = "testUtf8")
    public  void testUtf8(@RequestParam(name="customBody") String customBody){
        try {
            String str = new String(customBody.getBytes(),"utf-8");
            log.error("flag:{}",str.equals(customBody));
        } catch (UnsupportedEncodingException e) {
            log.error("UnsupportedEncodingException:{}",e);
        }
    }
    @Override
    @ApiOperation(value="getSjjhProduct")
    public  List<String> getSjjhProduct(){
        return userService.getSjjhProduct();
    }
    @Override
    @ApiOperation(value="delelteYysjByUserId")
    public int delelteYysjByUserId(@RequestParam(name = "userId") String userId, @RequestParam(name = "productId") String productId){
        return userService.delelteYysjByUserId(userId,productId);
    }
    @PostMapping("/addYysjProduct.do")
    @ApiOperation(value = "添加数据交互和云雁的产品关系")
    public int addSjjhProduct(@RequestBody YyProduct yyProduct){

        int result = userService.addYyproduct(yyProduct);
       return result;
    }
    @GetMapping("/getYyproducts.do")
    @ApiOperation(value = "获取云雁产品")
    public  List<YysjProduct> getYyproducts(){
        return userService.selectYyproducts();
    }
    @PostMapping("/updateYyproduct.do")
    @ApiOperation(value = "修改云雁产品")
    public int updateYyproduct(@RequestBody YysjProduct yysjProduct){
        return userService.updateYyproduct(yysjProduct);
    }


    @GetMapping("/updateSjjhproduct.do")
    @ApiOperation(value = "删除数据交互产品")
    public  int updateSjjhproduct(@RequestParam(name="yysjId") String yysjId,@RequestParam(name="sjjhId") String sjjhId){
        return userService.updateSjjhproduct(yysjId,sjjhId);
    }
}
