package info.aspirecn.iov.yysj.paramtransfer.service;

import info.aspirecn.iov.yysj.paramtransfer.dao.YysjUserMapper;
import info.aspirecn.iov.yysj.paramtransfer.entity.YyProduct;
import info.aspirecn.iov.yysj.paramtransfer.inter.vo.YysjProduct;
import info.aspirecn.iov.yysj.paramtransfer.inter.vo.YysjUser;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Base64;
import java.util.List;
@Service
@Slf4j
public class YysjUserServiceImpl implements YysjUserService {
    @Autowired
    private YysjUserMapper yysjUserMapper;
    @Override
    public YysjUser getUser(String userId) {
        YysjUser yysjUser =  yysjUserMapper.getUser(userId);
        log.info("yysjUser:{}",yysjUser);
        return yysjUser;
    }


    @Override
    public List<YysjProduct> getYysjProductIdByUserId(String userId,int type) {
        List<YysjProduct>  yysjProducts = yysjUserMapper.getYysjProductIdByUserId(userId, type);
        log.info("yysjProductIds:{}",yysjProducts);
        return yysjProducts;

    }

    @Override
    public List<String> getSjjhProduct() {
        List<String>  sjjhProductIds = yysjUserMapper.getSjjhProduct();

        return sjjhProductIds;

    }
    @Override
    public int delelteYysjByUserId(String userId,String productId) {
        int result = yysjUserMapper.delelteYysjByUserId(userId,productId);

        return result;

    }

    @Override
    public int addYyproduct(YyProduct yyProduct){
        YysjProduct yysjProduct = new YysjProduct();
        yysjProduct.setYysjProductCode(yyProduct.getProductCode());
        yysjProduct.setProduceName(yyProduct.getProductName());
        yysjProduct.setType(yyProduct.getType());
        int result = yysjUserMapper.addYyproduct(yysjProduct);
         if(yysjProduct.getYysjProductId()!=null){
             result= yysjUserMapper.addYyproductRelation(yysjProduct.getYysjProductId(),yyProduct.getSjjhProductId());
             if(result!=1){
                return 3;
             }

         }else{
             return 2;
         }
         return 1;
    }

    @Override
    public int updateYyproduct(YysjProduct yyProduct){
       return yysjUserMapper.updateYyproduct(yyProduct);
    }


    @Override
    public List<YysjProduct> selectYyproducts(){
       return  yysjUserMapper.selectYyproducts();
    }

    @Override
    public int updateSjjhproduct(String yysjId,String sjjhId) {
        return yysjUserMapper.updateSjjhproduct(yysjId,sjjhId);
    }
}
